PHP 5.5 Shift

The PHP 5.5 Shift upgrades your PHP code to be compatible with PHP 5.5.

Requirements

A PHP codebase compatible with PHP 5.3 or PHP 5.4.

Why upgrade to PHP 5.5?

While PHP 5.5 recently reached end of life it is still one of the most commonly installed versions of PHP. Although listed as a minor release there were enough changes in PHP 5.5 it is a good checkpoint while upgrading to the latest version of PHP.

PHP 5.5 Upgrade

The PHP 5.5 Shift upgrades your code to PHP 5.5, including:

  • Translating changed and deprecated functions
  • Warning about backward incompatibilities
  • Detecting removed INI directives
  • Normalizing syntax to the latest conventions

Still have questions? Message @shiftphp on Twitter or email shift@php-shift.com.